scala.runtime

# SeqCharSequence

#### final class SeqCharSequence extends CharSequence

Annotations
  @deprecated
Deprecated

  (Since version 2.11.0) Use Predef.SeqCharSequence

Source
  SeqCharSequence.scala

Linear Supertypes
CharSequence, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SeqCharSequence
2. CharSequence
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SeqCharSequence(xs: collection.IndexedSeq[Char])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SeqCharSequence to any2stringadd[SeqCharSequence] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (SeqCharSequence, B)

   Implicit information
     This member is added by an implicit conversion from SeqCharSequence to ArrowAssoc[SeqCharSequence] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def charAt(index: Int): Char

   Definition Classes
     SeqCharSequence → CharSequence

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (SeqCharSequence) ⇒ Boolean, msg: ⇒ Any): SeqCharSequence

   Implicit information
     This member is added by an implicit conversion from SeqCharSequence to Ensuring[SeqCharSequence] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (SeqCharSequence) ⇒ Boolean): SeqCharSequence

    Implicit information
      This member is added by an implicit conversion from SeqCharSequence to Ensuring[SeqCharSequence] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): SeqCharSequence

    Implicit information
      This member is added by an implicit conversion from SeqCharSequence to Ensuring[SeqCharSequence] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): SeqCharSequence

    Implicit information
      This member is added by an implicit conversion from SeqCharSequence to Ensuring[SeqCharSequence] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from SeqCharSequence to Predef.StringFormat[SeqCharSequence] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def length(): Int

    Definition Classes
      SeqCharSequence → CharSequence

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def subSequence(start: Int, end: Int): CharSequence

    Definition Classes
      SeqCharSequence → CharSequence

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      SeqCharSequence → CharSequence → AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### val xs: collection.IndexedSeq[Char]

31. #### def →[B](y: B): (SeqCharSequence, B)

    Implicit information
      This member is added by an implicit conversion from SeqCharSequence to ArrowAssoc[SeqCharSequence] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CharSequence

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SeqCharSequence to any2stringadd[SeqCharSequence]

### Inherited by implicit conversion StringFormat from SeqCharSequence to Predef.StringFormat[SeqCharSequence]

### Inherited by implicit conversion Ensuring from SeqCharSequence to Ensuring[SeqCharSequence]

### Inherited by implicit conversion ArrowAssoc from SeqCharSequence to ArrowAssoc[SeqCharSequence]

### Ungrouped